`lqr_carver_list_next`
Prev | Carver objects | Next

## Name

lqr_carver_list_next — advance the `LqrCarverList` object

## Synopsis

    #include <lqr.h>

`LqrCarverList* lqr_carver_list_next(` | LqrCarverList* list`)`;

## Description

The function `lqr_carver_list_next` returns a pointer to the next attached `LqrCarver` object in `list`, or `NULL` if the list has reached the end.

## See also

`lqr_carver_attach`(3), `lqr_carver_list_start`(3), `lqr_carver_list_current`(3), `lqr_carver_list_foreach`(3)

Prev | Up | Next
`lqr_carver_list_current` | Home | `lqr_carver_list_foreach`